//
//  SettingsViewController.m
//  BasicExample
//
//  Created by Colden Prime on 11/15/13.
//  Copyright (c) 2013 IntrepidPursuits. All rights reserved.
//

#import "SettingsViewController.h"
#import "IPHTMLLocalStorageManager.h"

@interface SettingsViewController ()

@property (weak, nonatomic) IBOutlet UITextField *nameTextField;
@property (weak, nonatomic) IBOutlet UITextField *greetingsTextField;

@property (weak, nonatomic) IBOutlet UIButton *submitButton;

- (IBAction)submitButtonClicked:(id)sender;

@end

@implementation SettingsViewController

- (void)viewDidLoad {
    [super viewDidLoad];

    self.nameTextField.text = [[IPHTMLLocalStorageManager sharedManager] stringForKey:@"name"];
    self.greetingsTextField.text = [[IPHTMLLocalStorageManager sharedManager] stringForKey:@"greetings"];
}

- (IBAction)submitButtonClicked:(id)sender {
    [[IPHTMLLocalStorageManager sharedManager] setString:self.nameTextField.text forKey:@"name"];
    [[IPHTMLLocalStorageManager sharedManager] setString:self.greetingsTextField.text forKey:@"greetings"];

    [self.navigationController popViewControllerAnimated:YES];
}

@end
