//
//  IPHTMLLocalStorageManager.h
//  LocalStorageTest
//
//  Created by Colden Prime on 8/29/13.
//  Copyright (c) 2013 Apperian. All rights reserved.
//

extern NSString * const kIPHTMLLocalStorageDidChange;

@interface IPHTMLLocalStorageManager : NSObject

+ (IPHTMLLocalStorageManager *)sharedManager;

- (void)setString:(NSString *)string forKey:(NSString *)aKey;
- (void)setStringsWithDictionary:(NSDictionary *)dictionary;

- (void)removeStringForKey:(NSString *)aKey;
- (void)removeStringWithKeys:(NSArray *)keys;

- (NSString *)stringForKey:(NSString *)aKey;

@end
